Bug 179753 - [patch] converters/libiconv: remove libtool dependency
[patch] converters/libiconv: remove libtool dependency
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 11:00 UTC by Tijl Coosemans
Modified: 2013-07-06 14:40 UTC (History)
0 users

See Also:


Attachments
libiconv.patch (6.96 KB, patch)
2013-06-20 11:00 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2013-06-20 11:00:01 UTC
The attached patch removes USE_AUTOTOOLS from converters/libiconv.
It was added in r183830 because the bundled libtool at the time
didn't handle the removal of objformat correctly. That is no longer
the case.

The patch also reverts r239611. It fixed building with clang
because the libtool port didn't recognise "clang" as a C compiler.
It does now, but so does the bundled libtool. It recognises
whatever is passed in CC to configure as a C compiler. Tested with
"make CC=/usr/local/bin/clang".
Comment 1 Edwin Groothuis freebsd_committer 2013-06-20 11:00:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Tijl Coosemans freebsd_committer 2013-07-04 09:24:59 UTC
If there are no objections I'd like to commit this Sunday.
http://www.freebsd.org/cgi/query-pr.cgi?pr=179753
Comment 3 dfilter freebsd_committer 2013-07-06 14:30:03 UTC
Author: kwm
Date: Sat Jul  6 13:29:54 2013
New Revision: 322394
URL: http://svnweb.freebsd.org/changeset/ports/322394

Log:
  Remove USE_AUTOTOOLS=libtool. This was added in r183830 because the bundled
   libtool at the time didn't handle the removal of objformat correctly.
  Also revert r239611. This revision was because the libtool port and the bundled
   libtool at the time detect "clang" as a valid C compiler.
  
  PR:		ports/179753
  Submitted by:	tijl@

Deleted:
  head/converters/libiconv/files/patch-libcharset::lib::Makefile.in
  head/converters/libiconv/files/patch-test::Makefile.in
Modified:
  head/converters/libiconv/Makefile   (contents, props changed)
  head/converters/libiconv/files/patch-lib_Makefile.in   (contents, props changed)
  head/converters/libiconv/files/patch-src::Makefile.in   (contents, props changed)
Directory Properties:
  head/converters/libiconv/distinfo   (props changed)
  head/converters/libiconv/files/patch-libcharset::lib::config.charset   (props changed)
  head/converters/libiconv/pkg-descr   (props changed)
  head/converters/libiconv/pkg-plist   (props changed)

Modified: head/converters/libiconv/Makefile
==============================================================================
--- head/converters/libiconv/Makefile	Sat Jul  6 13:05:47 2013	(r322393)
+++ head/converters/libiconv/Makefile	Sat Jul  6 13:29:54 2013	(r322394)
@@ -10,7 +10,6 @@ MASTER_SITES=	GNU
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	A character set conversion library
 
-USE_AUTOTOOLS=	libtool
 GNU_CONFIGURE=	yes
 LIBTOOLFILES=	configure libcharset/configure preload/configure
 CONFIGURE_ARGS=	--enable-static \

Modified: head/converters/libiconv/files/patch-lib_Makefile.in
==============================================================================
--- head/converters/libiconv/files/patch-lib_Makefile.in	Sat Jul  6 13:05:47 2013	(r322393)
+++ head/converters/libiconv/files/patch-lib_Makefile.in	Sat Jul  6 13:29:54 2013	(r322394)
@@ -1,16 +1,5 @@
 --- lib/Makefile.in.orig	2011-08-07 19:48:03.000000000 +0200
 +++ lib/Makefile.in	2011-10-23 22:03:44.000000000 +0200
-@@ -26,8 +26,8 @@
- -Dset_relocation_prefix=libiconv_set_relocation_prefix \
- -Drelocate=libiconv_relocate @DEFS@
- LIBTOOL = @LIBTOOL@
--LIBTOOL_COMPILE = $(LIBTOOL) --mode=compile
--LIBTOOL_LINK = $(LIBTOOL) --mode=link
-+LIBTOOL_COMPILE = $(LIBTOOL) --mode=compile --tag=CC
-+LIBTOOL_LINK = $(LIBTOOL) --mode=link --tag=CC
- LIBTOOL_INSTALL = $(LIBTOOL) --mode=install
- LIBTOOL_UNINSTALL = $(LIBTOOL) --mode=uninstall
- # Windows resource compiler (windres). Used via libtool.
 @@ -50,7 +50,7 @@
  
  # Before making a release, change this according to the libtool documentation,

Modified: head/converters/libiconv/files/patch-src::Makefile.in
==============================================================================
--- head/converters/libiconv/files/patch-src::Makefile.in	Sat Jul  6 13:05:47 2013	(r322393)
+++ head/converters/libiconv/files/patch-src::Makefile.in	Sat Jul  6 13:29:54 2013	(r322394)
@@ -1,16 +1,5 @@
 --- src/Makefile.in.orig	2009-06-21 07:17:33.000000000 -0400
 +++ src/Makefile.in	2009-07-04 19:46:15.000000000 -0400
-@@ -23,8 +23,8 @@
- LDFLAGS = @LDFLAGS@
- INCLUDES = -I. -I$(srcdir) -I.. -I../include -I$(srcdir)/../include -I../srclib -I$(srcdir)/../srclib
- LIBTOOL = @LIBTOOL@
--LIBTOOL_COMPILE = $(LIBTOOL) --mode=compile
--LIBTOOL_LINK = $(LIBTOOL) --mode=link
-+LIBTOOL_COMPILE = $(LIBTOOL) --mode=compile --tag=CC
-+LIBTOOL_LINK = $(LIBTOOL) --mode=link --tag=CC
- LIBTOOL_INSTALL = $(LIBTOOL) --mode=install
- LIBTOOL_UNINSTALL = $(LIBTOOL) --mode=uninstall
- WINDRES = @WINDRES@
 @@ -113,6 +113,7 @@ install : all force
  	if [ ! -d $(DESTDIR)$(bindir) ] ; then $(mkinstalldirs) $(DESTDIR)$(bindir) ; fi
  	case "@host_os@" in \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2013-07-06 14:30:20 UTC
State Changed
From-To: open->closed

Committed thanks!